package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Accelerator;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Platform;
import xaero.rotatenjump.game.object.Wall;

/**
 * Created by xaero on 10/07/2017.
 */

public class Level5 extends Level {

    public Level5(){
        buttonText = "5";
        winOnAttach = false;
        scoreboardX = 0;
        scoreboardY = -500;
        threeStarTime = 100;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        add(game, new Coin(0, 80));
        add(game, new Coin(0, 170));
        add(game, new Wall(-25, 40, -90, 20, 150, 0));
        add(game, new Wall(120, 30, 0, 20, 200, 0));
        add(game, new Accelerator(70, 15, 90, 10));
        add(game, new Platform(60, 100, 5, 0, 20, -2.5f));
    }
}
